Can I use Netflix on OSMC?(post 4)


#30

How can I extract the widivine libraries?

Is there a script?

Please, let me know. My Netflix addon broke after the latest build.


#31

uninstall netflix addon and reinstall it from my addons\video addons\netflix


#32

Success! Sort of. I completely uninstalled the addon and the reinstalled from the repository.

After opening the app I logged in with the correct email address and can now see my account :tada:

The app opens and is mostly working now but I suspect that connection issues (I’m on a wireless connection) are keeping me from seeing videos (none of them will load).


#33

enable debug logging restart and try to play a film/tv episode in netflix, when it doesn’t work. restart kodi (power menu-> exit) remove debug log and upload logs and post the url.
I can take a look to see if there is somethign obvius


#34

I can browse the contents of netflix but when I want to reproduce I have a problem.
Here are the logs:
NOTICE: VideoPlayer :: OpenFile: http: // localhost: 58417 / manifest? Id = 80117698
NOTICE: Creating InputStream
ERROR: Interface_Filesystem :: get_property_values - invalid data (addon = ‘0x7061db58’, file = ‘0x57787c60’)
ERROR: AddOnLog: InputStream Adaptive: Unable to load widevine shared library (/home/osmc/.kodi/cdm/libwidevinecdm.so)
ERROR: AddOnLog: InputStream Adaptive: OpenDRMSystem failed
ERROR: CVideoPlayer :: OpenInputStream - error opening [http: // localhost: 58417 / manifest? Id = 80117698]
NOTICE: CVideoPlayer :: OnExit ()

Any one is able to help


#35

looks like you are missing libwidevinecdm.so, have you just installed v.18. Gmc removed libwidevine from his nightlys a few days ago. You can add it yourself by using a script:

Getting libwidevine:

sudo apt-get install xz-utils
nano extract-libwidevine.sh

#!/bin/bash
wget  http://odroidxu.leeharris.me.uk/xu3/chromium-widevine-1.4.8.823-2-armv7h.pkg.tar.xz -O /tmp/chromium-widevine-1.4.8.823-2-armv7h.pkg.tar.xz           
tar xJf /tmp/chromium-widevine-1.4.8.823-2-armv7h.pkg.tar.xz usr/lib/chromium/libwidevinecdm.so --strip-components=3
chmod 755 libwidevinecdm.so
if [ ! -d "/home/osmc/.kodi/cdm/" ]; then                      
 mkdir /home/osmc/.kodi/cdm/
fi
cp -ar libwidevinecdm.so /home/osmc/.kodi/cdm/    
ln -fs /usr/lib/kodi/addons/inputstream.adaptive/libssd_wv.so /home/osmc/.kodi/cdm/libssd_wv.so

chmod +x extract-libwidevine.sh
./extract-libwidevine.sh


[TESTING] Kodi 18 (Leia) builds for Raspberry Pi
Widevine problems
[TESTING] Kodi 18 (Leia) builds for Vero 2 & 4K
[TESTING] Kodi 18 (Leia) builds for Raspberry Pi
#36

I have add the same problem.
I reinstalled the plugin but now I get always the error.

I can attach the part of the log:
19:54:25.689 T:1924788224 ERROR: Control 55 in window 10025 has been asked to focus, but it can’t
19:54:37.690 T:1924788224 ERROR: GetDirectory - Error getting plugin://plugin.video.netflix/
19:54:37.691 T:1924788224 ERROR: CGUIMediaWindow::GetDirectory(plugin://plugin.video.netflix/) failed


#37

thank you, you are great!
The only problem is the lack of sound.
This problem is with netflix and spotify, I have not tested more
The script required a small modification because it did not pass mkdir because the folder was already there


#38

Patched the script, to look if the directory exists. Thanks for the feedback.


#39

Hi Joakim_Sandstrom !

EDIT EDIT JUST tested it… its working as supposed, just got confused… sry…

Is this line correct ? -

tar xJf /tmp/chromium-widevine-1.4.8.823-2-armv7h.pkg.tar.xz usr/lib/chromium/libwidevinecdm.so --strip-component=3

The directory /usr/lib/chromium is not there after script is executed (vero 4k)

rgds; Jesper


#40

It’s all on oneline in the script, the line is inside that tar file, so that you just extract that file not the whole image.


#41

Yes… i see… it is working as supposed!

I just can’t make netflix work on my 4k, but you allready know that… :grin:

Rgds; Jesper


#42

Thx for the tutorial, worked out well on my RaspberryPi 3

But due to updating to kodi 18 I now always get the notification that the OSMC skin isn’t supported and has been therefore deactivated.
Is there a way to get rid just of this notification (not all kodi notifications)?


#43

yep, just change the api of the osmc-skin in addon.xml from 5.12 to 5.13.

But that’s a bit off topic :wink:


How to uninstall or disable OSMC skin?
#44

Hi Joakim,

Just wondering, in order to do this, do I still need to install kodi v18? Or can I use the most up to date version of OSMC, as that has Stretch as part of it?

Thanks,
Mark


#45

You still need Kodi 18. Newest update to stretch is fine.


#46

Sorry ActionA,

Could you elaborate what you mean please when you say “newest update to stretch is fine”?

I need to update to Kodi v18?

Thanks,
Mark


#47

What is unclear?


#48

What did you mean when you said “newest update to stretch is fine”?

Thanks,
Mark


#49

This is fine. Or a standard update to stretch from previous. In this instance, stretch is stretch.